﻿Public Class ClsAffaire

    Dim x_Service_Faible, x_Service_Courant, x_Service_Fort, x_Freq_Faible, x_Freq_normal, x_Freq_Fort As Double
    Dim x_he_hautV, x_he_haut, x_he_PV, x_he_P, x_he_basV, x_he_bas, x_hi_haut, x_hi, x_hi_bas As Double


    ''' <summary>
    ''' nom du fichier de données
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property FileName As String
    ''' <summary>
    '''Répertoire du fichier de données
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property msgData As String '
    ''' <summary>
    ''' Répertoire des notes de calculs
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property msgResult As String '
    ''' <summary>
    ''' n° du répertoire des notes de calcul
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property i_result As Integer
    ''' <summary>
    ''' n° du répertoire du fichier de données
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property i_data As Integer
    ''' <summary>
    '''nom du rédacteur
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property Redacteur As String
    ''' <summary>
    ''' nom du chantier
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property Chantier As String
    ''' <summary>
    ''' Editeur: 1=éditeur interne / 2=Word /
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property Editeur As Integer
    ''' <summary>
    ''' nom du fichier de la note de calcul
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property FileNoteCalcul As String
    ''' <summary>
    ''' numéro du fichier d'aide
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property FichierAide As Integer

#Region "Valeur du service"

    ''' <summary>
    ''' Valeur du service faible - Voir fichier Configuration pour connaitre la valeur - Unité: S.O
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property Service_Faible As Double
        Get
            Service_Faible = x_Service_Faible
        End Get
        Set(value As Double)
            If Not IsNumeric(value) Then
                Throw New ArgumentException("La valeur du Service n'est pas numérique.")
            ElseIf value < 0 Then
                Throw New ArgumentException("La valeur du Service doit être positive.")
            Else
                x_Service_Faible = value
            End If
        End Set
    End Property
    ''' <summary>
    ''' Valeur du service courant - Voir fichier Configuration pour connaitre la valeur - Unité: S.O
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property Service_Courant As Double
        Get
            Service_Courant = x_Service_Courant
        End Get
        Set(value As Double)
            If Not IsNumeric(value) Then
                Throw New ArgumentException("La valeur du Service n'est pas numérique.")
            ElseIf value < 0 Then
                Throw New ArgumentException("La valeur du Service doit être positive.")
            Else
                x_Service_Courant = value
            End If
        End Set
    End Property
    ''' <summary>
    ''' Valeur du service Fort - Voir fichier Configuration pour connaitre la valeur - Unité: S.O
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property Service_Fort As Double
        Get
            Service_Fort = x_Service_Fort
        End Get
        Set(value As Double)
            If Not IsNumeric(value) Then
                Throw New ArgumentException("La valeur du Service n'est pas numérique.")
            ElseIf value < 0 Then
                Throw New ArgumentException("La valeur du Service doit être positive.")
            Else
                x_Service_Fort = value
            End If
        End Set
    End Property
#End Region

#Region "Valeur de la fréquence d'ouverture des portes"
    ''' <summary>
    ''' Valeur de la fréquence faible - Voir fichier Configuration pour connaitre la valeur - Unité: S.O
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property Freq_Faible As Double
        Get
            Freq_Faible = x_Freq_Faible
        End Get
        Set(value As Double)
            If Not IsNumeric(value) Then
                Throw New ArgumentException("La valeur de la fréquence n'est pas numérique.")
            ElseIf value < 0 Then
                Throw New ArgumentException("La valeur de la fréquence doit être positive.")
            Else
                x_Freq_Faible = value
            End If
        End Set
    End Property
    ''' <summary>
    ''' Valeur de la fréquence normale - Voir fichier Configuration pour connaitre la valeur - Unité: S.O
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property Freq_normal As Double
        Get
            Freq_normal = x_Freq_normal
        End Get
        Set(value As Double)
            If Not IsNumeric(value) Then
                Throw New ArgumentException("La valeur de la fréquence n'est pas numérique.")
            ElseIf value < 0 Then
                Throw New ArgumentException("La valeur de la fréquence doit être positive.")
            Else
                x_Freq_normal = value
            End If
        End Set
    End Property
    ''' <summary>
    ''' Valeur de la fréquence forte - Voir fichier Configuration pour connaitre la valeur - Unité: S.O
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property Freq_Fort As Double
        Get
            Freq_Fort = x_Freq_Fort
        End Get
        Set(value As Double)
            If Not IsNumeric(value) Then
                Throw New ArgumentException("La valeur de la fréquence n'est pas numérique.")
            ElseIf value < 0 Then
                Throw New ArgumentException("La valeur de la fréquence doit être positive.")
            Else
                x_Freq_Fort = value
            End If
        End Set
    End Property
#End Region

#Region "Valeur de he"
    ''' <summary>
    ''' Valeur du coefficient surfacique he flux vers le haut Dynamique - Unité: W/m².°K
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property he_hautV As Double
        Get
            he_hautV = x_he_hautV
        End Get
        Set(value As Double)
            If Not IsNumeric(value) Then
                Throw New ArgumentException("La valeur de he n'est pas numérique.")
            ElseIf value < 0 Then
                Throw New ArgumentException("La valeur de he doit être positive.")
            Else
                x_he_hautV = value
            End If
        End Set
    End Property
    ''' <summary>
    ''' Valeur du coefficient surfacique he flux vers le haut statique - Unité: W/m².°K
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property he_haut As Double
        Get
            he_haut = x_he_haut
        End Get
        Set(value As Double)
            If Not IsNumeric(value) Then
                Throw New ArgumentException("La valeur de he n'est pas numérique.")
            ElseIf value < 0 Then
                Throw New ArgumentException("La valeur de he doit être positive.")
            Else
                x_he_haut = value
            End If
        End Set
    End Property
    ''' <summary>
    ''' Valeur du coefficient surfacique he flux horizontal Dynamique - Unité: W/m².°K
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property he_PV As Double
        Get
            he_PV = x_he_PV
        End Get
        Set(value As Double)
            If Not IsNumeric(value) Then
                Throw New ArgumentException("La valeur de he n'est pas numérique.")
            ElseIf value < 0 Then
                Throw New ArgumentException("La valeur de he doit être positive.")
            Else
                x_he_PV = value
            End If
        End Set
    End Property
    ''' <summary>
    ''' Valeur du coefficient surfacique he flux horizontal statique - Unité: W/m².°K
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property he_P As Double
        Get
            he_P = x_he_P
        End Get
        Set(value As Double)
            If Not IsNumeric(value) Then
                Throw New ArgumentException("La valeur de he n'est pas numérique.")
            ElseIf value < 0 Then
                Throw New ArgumentException("La valeur de he doit être positive.")
            Else
                x_he_P = value
            End If
        End Set
    End Property
    ''' <summary>
    ''' Valeur du coefficient surfacique he flux vers le bas Dynamique - Unité: W/m².°K
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property he_basV As Double
        Get
            he_basV = x_he_basV
        End Get
        Set(value As Double)
            If Not IsNumeric(value) Then
                Throw New ArgumentException("La valeur de he n'est pas numérique.")
            ElseIf value < 0 Then
                Throw New ArgumentException("La valeur de he doit être positive.")
            Else
                x_he_basV = value
            End If
        End Set
    End Property
    ''' <summary>
    ''' Valeur du coefficient surfacique he flux vers le bas statique - Unité: W/m².°K
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property he_bas As Double
        Get
            he_bas = x_he_bas
        End Get
        Set(value As Double)
            If Not IsNumeric(value) Then
                Throw New ArgumentException("La valeur de he n'est pas numérique.")
            ElseIf value < 0 Then
                Throw New ArgumentException("La valeur de he doit être positive.")
            Else
                x_he_bas = value
            End If
        End Set
    End Property
#End Region

#Region "Valeur de hi"
    ''' <summary>
    ''' Valeur du coefficient surfacique hi flux vers le haut Dynamique - Unité: W/m².°K
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property hi_haut As Double
        Get
            hi_haut = x_hi_haut
        End Get
        Set(value As Double)
            If Not IsNumeric(value) Then
                Throw New ArgumentException("La valeur de hi n'est pas numérique.")
            ElseIf value < 0 Then
                Throw New ArgumentException("La valeur de hi doit être positive.")
            Else
                x_hi_haut = value
            End If
        End Set
    End Property
    ''' <summary>
    ''' Valeur du coefficient surfacique hi flux horizontal Dynamique - Unité: W/m².°K
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property hi As Double
        Get
            hi = x_hi
        End Get
        Set(value As Double)
            If Not IsNumeric(value) Then
                Throw New ArgumentException("La valeur de hi n'est pas numérique.")
            ElseIf value < 0 Then
                Throw New ArgumentException("La valeur de hi doit être positive.")
            Else
                x_hi = value
            End If
        End Set
    End Property
    ''' <summary>
    ''' Valeur du coefficient surfacique hi flux vers le bas Dynamique - Unité: W/m².°K
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property hi_bas As Double
        Get
            hi_bas = x_hi_bas
        End Get
        Set(value As Double)
            If Not IsNumeric(value) Then
                Throw New ArgumentException("La valeur de hi n'est pas numérique.")
            ElseIf value < 0 Then
                Throw New ArgumentException("La valeur de hi doit être positive.")
            Else
                x_hi_bas = value
            End If
        End Set
    End Property
#End Region

End Class
