Imports System.IO
Imports System.Windows.Forms
Public Class frmAide

    Private Sub Form2_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Call setupBrowser2()
    End Sub
    Private Sub setupBrowser2()
        ' This prevents the Web browser from opening files that are dropped onto it.
        WebBrowser1.AllowWebBrowserDrop = False

        Dim toto As String = "NoAide.mht"
        Select Case Aff.FichierAide
            Case 1
                toto = "Ong1_tempsFonctionnementGC.mht"
            Case 2
                toto = "Ong1_Service.mht"
            Case 3
                toto = "Ong1_temperatureChbreFroide.mht"
            Case 4
                toto = "Ong1_Humidite.mht"
            Case 5
                toto = "Conductivite_thermique.mht"
            Case 6
                toto = "Ong2_general.mht"
            Case 7
                toto = "Ong2_sol.mht"
            Case 8
                toto = "Ong5_general.mht"
            Case 9
                toto = "Ong3_ventilateur.mht"
            Case 10
                toto = "Ong3_Personnel.mht"
            Case 11
                toto = "Ong3_Eclairage.mht"
            Case 12
                toto = "Ong3_Machines.mht"
            Case 13
                toto = "Ong3_Ouverture_Porte.mht"
            Case 14
                toto = "Ong4_Resistance_degivrage.mht"
            Case 15
                toto = "Ong4_CordonChauffant_Porte.mht"
            Case 16
                toto = "Ong4_RubanChauffant_Clapet.mht"
            Case 17
                toto = "Ong4_CordonChauffant_Tuyauterie.mht"
            Case 18
                toto = ""
            Case 19
                toto = ""
            Case 20
                toto = ""
            Case 21
                toto = ""
            Case 22
                toto = ""
            Case 23
                toto = ""
        End Select
        Dim fi As New FileInfo(Directory.GetCurrentDirectory.ToString() & "\Aide\" & toto)
        DisplayHTMLDoc(fi.FullName)
    End Sub

    Private Sub DisplayHTMLDoc(ByVal path As String)
        If Not path = String.Empty Then
            Try
                If (File.Exists(path)) Then
                    WebBrowser1.Url = New Uri(path)
                Else
                    MessageBox.Show("Dsol, fichier d'aide introuvable  l'adresse suivante: " & path & ".", "Fichier d'aide", MessageBoxButtons.OK, MessageBoxIcon.Information)
                    Me.Close()
                End If
            Catch ex As ApplicationException
                MessageBox.Show("L'erreur suivante s'est produite lors de l'accs au fichier d'aide: " + ex.Message & ex.StackTrace, "Fichier d'aide", MessageBoxButtons.OK, MessageBoxIcon.Information)
            End Try
        End If
    End Sub
End Class