﻿Imports System.IO
Public Class frmConfig

    Private Sub frmConfig_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        Dim Verif As Boolean = True
        Dim filename As String = ""


        Try
            filename = Directory.GetCurrentDirectory.ToString() & "\cfg_CalculFrigo.ini"
            'Affichage des valeurs en cours 
            Call Lecture_Fichier_Cfg_ini(filename, Verif)
            If Verif = False Then Exit Sub
            Call Affichage()

        Catch ex As Exception
            MessageBox.Show("Erreur lors de la lecture du fichier de configuration: " & Environment.NewLine & ex.Message & Environment.NewLine & ex.StackTrace, Me.Text,
                            MessageBoxButtons.OK, MessageBoxIcon.Error, MessageBoxDefaultButton.Button1)
        End Try ' 
    End Sub

    Private Sub BtnSauvegarde_Click(sender As System.Object, e As System.EventArgs) Handles BtnSauvegarde.Click
        Dim Verif As Boolean = True
        Dim filename As String = ""
        Try
            filename = Directory.GetCurrentDirectory.ToString() & "\cfg_CalculFrigo.ini"
            Call Lecture(Verif)
            If Verif = False Then Exit Sub
            Call Ecriture_fichier_Cfg_ini(filename)
            Me.Close() 'quitte le formulaire
        Catch ex As Exception
            MessageBox.Show("Erreur lors de la lecture du fichier: " & Environment.NewLine & ex.Message & Environment.NewLine & ex.StackTrace, Me.Text, MessageBoxButtons.OK, MessageBoxIcon.Error, MessageBoxDefaultButton.Button1)
        End Try
    End Sub
    Private Sub BtnReinit_Click(sender As System.Object, e As System.EventArgs) Handles BtnReinit.Click


        MessageBox.Show("Attention, vous allez modifier vos préférences !!!!" & Environment.NewLine & "Voulez-vous continuer?", "Calcul frigorifique", MessageBoxButtons.YesNo, MessageBoxIcon.Exclamation, MessageBoxDefaultButton.Button1) ' 
        If CBool(DialogResult.Yes) Then 'reponse = 6
            Call Variables_generales() 'appel au modules contenant les variables par defaut, écrites en dur dans le logiciel, se trouve dans le module General.vb
            Call Affichage()
        End If

    End Sub
    Private Sub Lecture(ByRef Verif As Boolean)
        Try
            'onglet général
            If RbtnDatadefaut.Checked = True Then
                Aff.msgData = Directory.GetCurrentDirectory.ToString() & "\Data" : Aff.i_data = 1
            Else
                If LblData.Text = String.Empty Then
                    MessageBox.Show("Erreur lors de la lecture du champ de texte concernant le répertoire des données.", Me.Text, MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
                    Verif = False
                ElseIf LblData.Text = Directory.GetCurrentDirectory.ToString() & "\Data" Then
                    Aff.i_data = 1
                Else
                    Aff.msgData = LblData.Text : Aff.i_data = 2
                End If
            End If
            If RbtnResultDefaut.Checked = True Then
                Aff.msgResult = Directory.GetCurrentDirectory.ToString() & "\Resultat" : Aff.i_result = 1
            Else
                If LblResult.Text = String.Empty Then
                    MessageBox.Show("Erreur lors de la lecture du champ de texte concernant le répertoire des données.", Me.Text, MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
                    Verif = False
                ElseIf LblResult.Text = Directory.GetCurrentDirectory.ToString() & "\Resultat" Then
                    Aff.i_result = 1
                Else
                    Aff.msgResult = LblResult.Text : Aff.i_result = 2
                End If
            End If
            If TxtRedacteur.Text = String.Empty Then
                Aff.Redacteur = "LeFux_Ingenierie"
            Else
                Aff.Redacteur = TxtRedacteur.Text
            End If
            If TxtChantier.Text = String.Empty Then
                Aff.Chantier = "A_definir"
            Else
                Aff.Chantier = TxtChantier.Text
            End If

            If RbtnEditeurInterne.Checked = True Then Aff.Editeur = 1
            If RbtnWord.Checked = True Then Aff.Editeur = 2
            'onglet Données générales pour calcul frigorifique
            With Aff
                If gestionderreur(TxtServiceFaible, EP1) = True Then .Service_Faible = CDbl(TxtServiceFaible.Text) / 100 Else Verif = False
                If gestionderreur(TxtServiceCourant, EP1) = True Then .Service_Courant = CDbl(TxtServiceCourant.Text) / 100 Else Verif = False
                If gestionderreur(TxtServiceFort, EP1) = True Then .Service_Fort = CDbl(TxtServiceFort.Text) / 100 Else Verif = False
                If gestionderreur(TxtFreqFaible, EP1) = True Then .Freq_Faible = CDbl(TxtFreqFaible.Text) / 100 Else Verif = False
                If gestionderreur(TxtFreqNormal, EP1) = True Then .Freq_normal = CDbl(TxtFreqNormal.Text) / 100 Else Verif = False
                If gestionderreur(TxtFreqFort, EP1) = True Then .Freq_Fort = CDbl(TxtFreqFort.Text) / 100 Else Verif = False
                'he
                If gestionderreur(txthehautNv, EP1) = True Then .he_haut = CDbl(txthehautNv.Text) Else Verif = False
                If gestionderreur(txthehautV, EP1) = True Then .he_hautV = CDbl(txthehautV.Text) Else Verif = False
                If gestionderreur(txthebasNv, EP1) = True Then .he_bas = CDbl(txthebasNv.Text) Else Verif = False
                If gestionderreur(txthebasV, EP1) = True Then .he_basV = CDbl(txthebasV.Text) Else Verif = False
                If gestionderreur(txthePnV, EP1) = True Then .he_P = CDbl(txthePnV.Text) Else Verif = False
                If gestionderreur(txthePV, EP1) = True Then .he_PV = CDbl(txthePV.Text) Else Verif = False
                'hi
                If gestionderreur(txthihaut, EP1) = True Then .hi_haut = CDbl(txthihaut.Text) Else Verif = False
                If gestionderreur(txthiP, EP1) = True Then .hi = CDbl(txthiP.Text) Else Verif = False
                If gestionderreur(txthibas, EP1) = True Then .hi_bas = CDbl(txthibas.Text) Else Verif = False
            End With

        Catch ex As Exception
            MessageBox.Show("Erreur lors de la lecture du formulaire, veuillez le corriger" + Environment.NewLine + ex.Message & ex.StackTrace, Me.Text, MessageBoxButtons.OK, MessageBoxIcon.Error)
            Verif = False
        End Try

    End Sub
    Private Sub Affichage()
        With Aff
            'Onglet général
            TxtChantier.Text = .Chantier
            TxtRedacteur.Text = .Redacteur
            If .i_result = 1 Then RbtnResultDefaut.Checked = True Else RbtnResultPerso.Checked = True
            If .i_data = 1 Then RbtnDatadefaut.Checked = True Else RbtndataPerso.Checked = True
            LblData.Text = .msgData
            LblResult.Text = .msgResult
            ' TxtPdf.Text = Lecteur_Pdf
            Select Case .Editeur
                Case 1
                    RbtnEditeurInterne.Checked = True
                Case 2
                    RbtnWord.Checked = True
            End Select
            'onglet Données générales pour calcul frigorifique
            TxtServiceFaible.Text = (.Service_Faible * 100).ToString("#0.0")
            TxtServiceCourant.Text = (.Service_Courant * 100).ToString("#0.0")
            TxtServiceFort.Text = (.Service_Fort * 100).ToString("#0.0")
            'fréquence
            TxtFreqFaible.Text = (.Freq_Faible * 100).ToString("#0.0")
            TxtFreqNormal.Text = (.Freq_normal * 100).ToString("#0.0")
            TxtFreqFort.Text = (.Freq_Fort * 100).ToString("#0.0")
            'he
            txthehautNv.Text = .he_haut.ToString("#0.0")
            txthehautV.Text = .he_hautV.ToString("#0.0")
            txthebasNv.Text = .he_bas.ToString("#0.0")
            txthebasV.Text = .he_basV.ToString("#0.0")
            txthePnV.Text = .he_P.ToString("#0.0")
            txthePV.Text = .he_PV.ToString("#0.0")
            'hi
            txthihaut.Text = .hi_haut.ToString("#0.0")
            txthiP.Text = .hi.ToString("#0.0")
            txthibas.Text = .hi_bas.ToString("#0.0")
        End With

    End Sub
    Public Sub Ecriture_fichier_Cfg_ini(ByVal filename As String)

        Dim myStreamWriter As StreamWriter
        Try
            With Aff
                ' Create a StreamWriter using a Shared (static) File class.
                myStreamWriter = File.CreateText(filename)
                myStreamWriter.WriteLine("Fichier des valeurs par défaut logiciel Calcul frigorifique")
                myStreamWriter.WriteLine("formulaire configuration Onglet Général")
                myStreamWriter.WriteLine(.Redacteur)
                myStreamWriter.WriteLine(.Chantier)
                'répertoire
                myStreamWriter.WriteLine(.msgResult)
                myStreamWriter.WriteLine(.msgData)
                myStreamWriter.WriteLine(.i_result & " " & .i_data & " " & .Editeur)
                myStreamWriter.WriteLine("formulaire configuration Onglet Données générales pour calcul frigorifique")
                myStreamWriter.WriteLine(.Service_Faible & " " & .Service_Courant & " " & .Service_Fort)
                myStreamWriter.WriteLine(.Freq_Faible & " " & .Freq_normal & " " & .Freq_Fort)
                myStreamWriter.WriteLine(.he_hautV & " " & .he_haut & " " & .he_PV & " " & .he_P & " " & .he_basV & " " & .he_bas)
                myStreamWriter.WriteLine(.hi_haut & " " & .hi & " " & .hi_bas)
            End With
            myStreamWriter.Flush() ' Obligatoire - Vide le tampon pour être sûr que tout soit écrit dans le fichier

        Catch exc As Exception
            MessageBox.Show("Le fichier n'a pas pu être ouvert ou écrit" & Environment.NewLine & "Vérifiez que le nom du fichier et son chemin d'accès soient exact" & Environment.NewLine _
                & "Exception: " & exc.Message & ControlChars.CrLf & exc.StackTrace, Me.Text, MessageBoxButtons.OK, MessageBoxIcon.Error, MessageBoxDefaultButton.Button1)
        Finally
            ' Close the object if it has been created.
            If Not myStreamWriter Is Nothing Then myStreamWriter.Close()
        End Try
    End Sub

    Private Sub BtnResultModif_Click(sender As System.Object, e As System.EventArgs) Handles BtnResultModif.Click
        Try
            With FolderBrowserDialog1
                'En principe, après avoir créé un FolderBrowserDialog, vous définissez RootFolder à l'emplacement à partir duquel commencer la navigation. 
                'Vous pouvez choisir un emplacement dans la liste des dossiers système spéciaux, notamment Program Files, Programmes, System ou Démarrage, qui contiennent des informations communes.  
                .RootFolder = Environment.SpecialFolder.Personal
                ' Si vous le voulez, vous pouvez aussi définir la propriété Description afin de fournir des instructions supplémentaires à l'utilisateur.
                .Description = "Selectionnez le répertoire ..."
                ' Vous pouvez utiliser la propriété ShowNewFolderButton pour déterminer si l'utilisateur est en mesure de créer des dossiers à l'aide du bouton Nouveau dossier.
                .ShowNewFolderButton = True
                If .ShowDialog = Windows.Forms.DialogResult.OK Then
                    LblResult.Text = .SelectedPath
                End If

            End With
        Catch ex As Exception
            MessageBox.Show(ex.Message, Me.Text, MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try
    End Sub

    Private Sub RbtnResultDefaut_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles RbtnResultDefaut.CheckedChanged
        If RbtnResultDefaut.Checked = True Then BtnResultModif.Enabled = False : LblResult.Text = Directory.GetCurrentDirectory.ToString()
    End Sub

    Private Sub RbtnResultPerso_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles RbtnResultPerso.CheckedChanged
        If RbtnResultPerso.Checked = True Then BtnResultModif.Enabled = True : BtnResultModif.Focus()
    End Sub

    Private Sub RbtnDatadefaut_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles RbtnDatadefaut.CheckedChanged
        If RbtnDatadefaut.Checked = True Then BtnDataModif.Enabled = False : LblData.Text = Directory.GetCurrentDirectory.ToString()
    End Sub

    Private Sub RbtndataPerso_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles RbtndataPerso.CheckedChanged
        If RbtndataPerso.Checked = True Then BtnDataModif.Enabled = True : BtnDataModif.Focus()
    End Sub

    Private Sub BtnDataModif_Click(sender As System.Object, e As System.EventArgs) Handles BtnDataModif.Click
        Try
            With FolderBrowserDialog1
                .RootFolder = Environment.SpecialFolder.Personal
                .Description = "Selectionnez le répertoire ..."
                .ShowNewFolderButton = True
                If .ShowDialog = Windows.Forms.DialogResult.OK Then
                    LblData.Text = .SelectedPath
                End If

            End With
        Catch ex As Exception
            MessageBox.Show(ex.Message, Me.Text, MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try
    End Sub



    'Private Sub BtnOK_Click(sender As System.Object, e As System.EventArgs)
    '    Dim Verif As Boolean = True
    '    Dim msgData, msgResult, Chantier, Redacteur As String
    '    Dim BAEL91, Var_T, Grad_T, Arret_Coulage, retrait_Force As Boolean
    '    Dim dT_abri, Maille, ϕ_σr, vgb, vgs, Cg, enr As Double
    '    Dim Joint_Retrait, i_result, i_data, Fc, Fe, Choix_Eyb, Eys, Type_Acier, NbLit As Integer

    '    Try
    '        Call Lecture(Chantier, Redacteur, i_data, i_result, msgData, msgResult, retrait_Force, BAEL91, dT_abri, Var_T, Grad_T, Maille, Arret_Coulage, Joint_Retrait, ϕ_σr, Fc, Choix_Eyb, vgb, _
    '                     Cg, enr, Fe, Eys, vgs, Type_Acier, NbLit, Verif)
    '        If Verif = False Then Exit Sub

    '        Me.Close() 'quitte le formulaire
    '    Catch ex As Exception
    '        MessageBox.Show("Erreur lors de la lecture du fichier: " & ControlChars.CrLf & ex.Message & ControlChars.CrLf & ex.StackTrace, Me.Text, MessageBoxButtons.OK, MessageBoxIcon.Error, MessageBoxDefaultButton.Button1)
    '    End Try
    'End Sub

    Private Sub BtnAnnuler_Click(sender As System.Object, e As System.EventArgs) Handles BtnAnnuler.Click
        Me.Dispose()
        Me.Finalize()
    End Sub

#Region "Gestion des textbox"

    Private Sub TxtServiceFaible_KeyPress(sender As Object, e As KeyPressEventArgs) Handles TxtServiceFaible.KeyPress
        Call Gestion_Keypress(e, TxtServiceFaible, True, False)
    End Sub
    Private Sub TxtServicecourant_KeyPress(sender As Object, e As KeyPressEventArgs) Handles TxtServiceCourant.KeyPress
        Call Gestion_Keypress(e, TxtServiceCourant, True, False)
    End Sub
    Private Sub TxtServiceFort_KeyPress(sender As Object, e As KeyPressEventArgs) Handles TxtServiceFort.KeyPress
        Call Gestion_Keypress(e, TxtServiceFort, True, False)
    End Sub
    Private Sub TxtfreqFaible_KeyPress(sender As Object, e As KeyPressEventArgs) Handles TxtFreqFaible.KeyPress
        Call Gestion_Keypress(e, TxtFreqFaible, True, False)
    End Sub
    Private Sub Txtfreqnormal_KeyPress(sender As Object, e As KeyPressEventArgs) Handles TxtFreqNormal.KeyPress
        Call Gestion_Keypress(e, TxtFreqNormal, True, False)
    End Sub
    Private Sub TxtfreqFort_KeyPress(sender As Object, e As KeyPressEventArgs) Handles TxtFreqFort.KeyPress
        Call Gestion_Keypress(e, TxtFreqFort, True, False)
    End Sub

    Private Sub txthebasNv_KeyPress(sender As Object, e As KeyPressEventArgs) Handles txthebasNv.KeyPress
        Call Gestion_Keypress(e, txthebasNv, True, False)
    End Sub

    Private Sub txthebasV_KeyPress(sender As Object, e As KeyPressEventArgs) Handles txthebasV.KeyPress
        Call Gestion_Keypress(e, txthebasV, True, False)
    End Sub

    Private Sub txthehautNv_KeyPress(sender As Object, e As KeyPressEventArgs) Handles txthehautNv.KeyPress
        Call Gestion_Keypress(e, txthehautNv, True, False)
    End Sub

    Private Sub txthehautV_KeyPress(sender As Object, e As KeyPressEventArgs) Handles txthehautV.KeyPress
        Call Gestion_Keypress(e, txthehautV, True, False)
    End Sub

    Private Sub txthePnV_KeyPress(sender As Object, e As KeyPressEventArgs) Handles txthePnV.KeyPress
        Call Gestion_Keypress(e, txthePnV, True, False)
    End Sub

    Private Sub txthePV_KeyPress(sender As Object, e As KeyPressEventArgs) Handles txthePV.KeyPress
        Call Gestion_Keypress(e, txthePV, True, False)
    End Sub

    Private Sub txthibas_KeyPress(sender As Object, e As KeyPressEventArgs) Handles txthibas.KeyPress
        Call Gestion_Keypress(e, txthibas, True, False)
    End Sub

    Private Sub txthihaut_KeyPress(sender As Object, e As KeyPressEventArgs) Handles txthihaut.KeyPress
        Call Gestion_Keypress(e, txthihaut, True, False)
    End Sub

    Private Sub txthiP_KeyPress(sender As Object, e As KeyPressEventArgs) Handles txthiP.KeyPress
        Call Gestion_Keypress(e, txthiP, True, False)
    End Sub

#End Region
End Class